Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 212434)
+++ channels/chan_sip.c	(working copy)
@@ -25332,6 +25332,10 @@
 		else
 			ast_log(LOG_NOTICE, "Can't add wildcard IP address to domain list, please add IP address to domain manually.\n");
 
+		/* Our internal IP address, if configured */
+		if (internip.sin_addr.s_addr)
+			add_sip_domain(ast_inet_ntoa(internip.sin_addr), SIP_DOMAIN_AUTO, NULL);
+
 		/* If TCP is running on a different IP than UDP, then add it too */
 		if (sip_tcp_desc.local_address.sin_addr.s_addr && !inaddrcmp(&bindaddr, &sip_tcp_desc.local_address))
 			add_sip_domain(ast_inet_ntoa(sip_tcp_desc.local_address.sin_addr), SIP_DOMAIN_AUTO, NULL);
